yaml_parse_file
yaml_parse
Yaml Functions
PHP Manual

# yaml_parse_url

(PECL yaml >= 0.4.0)

yaml_parse_url — Parse a Yaml stream from a URL

### Description

mixed yaml_parse_url ( string `$url` [, int `$pos` = 0 [, int `&$ndocs` [, array `$callbacks` ]]] )

Convert all or part of a YAML document stream read from a URL to a PHP variable.

### Parameters

`url`

  `url` should be of the form "scheme://...". PHP will search for a protocol handler (also known as a wrapper) for that scheme. If no wrappers for that protocol are registered, PHP will emit a notice to help you track potential problems in your script and then continue as though filename specifies a regular file.

`pos`

  Document to extract from stream (-1 for all documents, 0 for first document, ...).

`ndocs`

  If `ndocs` is provided, then it is filled with the number of documents found in stream.

`callbacks`

  Content handlers for YAML nodes. Associative array of YAML tag => callback mappings.

### Return Values

Returns the value encoded in `input` in appropriate PHP type. `NULL` is returned if the `input` cannot be decoded. If `pos` is -1 an array will be returned with one entry for each document found in the stream.

### See Also

- yaml_parse() - Parse a YAML stream
- yaml_parse_file() - Parse a YAML stream from a file
- yaml_emit() - Returns the YAML representation of a value

yaml_parse_file
yaml_parse
Yaml Functions
PHP Manual